import { ElementRef, OnInit } from '@angular/core';
import { AtGlobalMonitorService } from "../../at-global-monitor.service";
import { Observable, Subscription } from "rxjs";
export declare class AtAffixComponent implements OnInit {
    private monitor;
    constructor(monitor: AtGlobalMonitorService);
    childElement: ElementRef;
    private _atTarget;
    $scrollEvent: Observable<any>;
    $scrollSubscribe: Subscription;
    $windowScrollSubscribe: Subscription;
    style: any;
    _cache_rect: any;
    fixed: boolean;
    atTarget: any;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    handleFix(): void;
    setCache(rect: any): void;
    handleReset(): void;
    bindEvent(): void;
    setFix(rect: any, target: any): void;
    clearEvent(): void;
    readonly offsetTop: any;
    getOffset(element: Element, target: Element | Window | null): {
        top: number;
        left: number;
        width: number;
        height: number;
    };
    getScroll(el?: Element | Window, top?: boolean): number;
    private getTargetRect;
    elementInViewport(el: any): boolean;
    calculateWidth(): any;
}
